rpms/kernel-xen-2.6/devel/scripts rebase.sh,1.3,1.4

Mark McLoughlin (markmc) fedora-extras-commits at redhat.com
Mon Jun 16 10:20:34 UTC 2008


Author: markmc

Update of /cvs/pkgs/rpms/kernel-xen-2.6/devel/scripts
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv32197/scripts

Modified Files:
	rebase.sh 
Log Message:
* Mon Jun 16 2008 Mark McLoughlin <markmc at redhat.com>
- Rebase to kernel-2_6_26-0_72_rc6_git2_fc10



Index: rebase.sh
===================================================================
RCS file: /cvs/pkgs/rpms/kernel-xen-2.6/devel/scripts/rebase.sh,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- rebase.sh	1 Apr 2008 10:38:18 -0000	1.3
+++ rebase.sh	16 Jun 2008 10:19:46 -0000	1.4
@@ -1,5 +1,10 @@
 #!/bin/bash
 
+if [ ! -f /usr/bin/lynx ]; then
+  echo yum install lynx
+  exit 1
+fi
+
 # Current kernel bits
 if [ `grep -c ^patch upstream` -ge 1 ]; then
   export OLD=`grep ^patch upstream | tail -n1 | sed s/patch-// | sed s/\.bz2//`
@@ -32,7 +37,7 @@
       NEW=`lynx -dump http://www.kernel.org/kdist/finger_banner | grep "stable version of the Linux kernel is"`
     else
       echo "No new rc or git snapshot of stable branch".
-      exit
+      exit 0
     fi
   fi
 fi
@@ -112,7 +117,7 @@
   make clog
   echo FIXME! Fix up fedora_cvs_origin
   make verrel
-  exit
+  exit 1
 fi
 
 if [ "$OLDRC" != "$NEWRC" ]; then
@@ -128,6 +133,16 @@
   rm -f patch-2.6.$OLDBASE-rc$OLDRC.bz2
   rm -f patch-2.6.$OLDBASE-rc$OLDRC.bz2.sign
   cvs remove patch-2.6.$OLDBASE-rc$OLDRC.bz2.sign
+  make download
+  make upload FILES=patch-2.6.$NEWBASE-rc$NEWRC.bz2
+  cvs add patch-2.6.$NEWBASE-rc$NEWRC.bz2.sign
+
+  # Another awkward (albeit unlikely) corner case.
+  # Moving from say 26-rc3-git1 to 26-rc4-git1
+  # The above will grab the new -rc, but the below will
+  # think that the -git hasn't changed.
+  # Fudge around this, by pretending the old git was something crazy.
+  OLDGIT=99
 fi
 
 if [ "$OLDGIT" != "$NEWGIT" ]; then
@@ -163,5 +178,7 @@
 if [ "$OLDRC" != "$NEWRC" -o "$OLDGIT" != "$NEWGIT" ]; then
   bumpspecfile.py kernel.spec "- $NEW"
   make clog
+  exit 1
+else
+  exit 0
 fi
-




More information about the fedora-extras-commits mailing list